/**
 * This injects Tailwind's base styles, which is a combination of
 * Normalize.css and some additional base styles.
 *
 * You can see the styles here:
 * https://github.com/tailwindcss/tailwindcss/blob/master/css/preflight.css
 *
 * If using `postcss-import`, use this import instead:
 *
 * @import "tailwindcss/preflight";
 */
@tailwind preflight;

/**
* This injects any component classes registered by plugins.
*
* If using `postcss-import`, use this import instead:
*
* @import "tailwindcss/components";
*/
/* @tailwind components; */
 
/**
* Here you would add any of your custom component classes; stuff that you'd
* want loaded *before* the utilities so that the utilities could still
* override them.
*
* Example:
*
* .btn { ... }
* .form-input { ... }
*
* Or if using a preprocessor or `postcss-import`:
*
* @import "components/buttons";
* @import "components/forms";
*/

/**
* This injects all of Tailwind's utility classes, generated based on your
* config file.
*
* If using `postcss-import`, use this import instead:
*
* @import "tailwindcss/utilities";
*/
@tailwind utilities;
 
/**
* Here you would add any custom utilities you need that don't come out of the
* box with Tailwind.
*
* Example :
*
* .bg-pattern-graph-paper { ... }
* .skew-45 { ... }
*
* Or if using a preprocessor or `postcss-import`:
*
* @import "utilities/background-patterns";
* @import "utilities/skew-transforms";
*/

.email-header {
	@apply mb-8;
}

.email-badge-holder {
	@apply list-reset flex flex-wrap items-center justify-center;
}

.email-badge-logo {
	@apply flex-none border-monochrome border-r-2 pr-2;
}

.email-badge-logo img {
	@apply w-16 h-16;
}

.email-badge-text-holder {
	font-family: 'Raleway', sans-serif;
	@apply flex-none pl-2 text-monochrome-light font-thin text-3xl leading-none;
}

.email-badge-text-holder a {
	@apply text-monochrome-light no-underline;
}

.email-body {
	@apply block py-8 border-t-4 border-b-4 border-monochrome;
}

.email-body h1, .email-body h2 {
	@apply text-monochrome;
}

.email-body p {
	@apply py-2;
}

.email-page-content {
	@apply mx-5;
}

.email-message-holder {
	@apply block max-w-lg border border-monochrome-light mx-auto px-8 py-4 my-8;
}

.email-block {
	@apply block;
}

.email-inline-block {
	@apply inline-block;
}

.email-message-subtitle {
	@apply inline-block text-monochrome font-bold;
}

.email-message-subtitle.align-top {
	@apply align-top;
}

.email-thanks {
	@apply block mt-4;
}

.email-font-thin {
	@apply font-thin;
}

.email-thanks {
	@apply mt-4;
}

.email-footer {
	@apply bg-monochrome-lighter w-full text-center py-4;
}

.email-footer p {
	@apply text-sm inline-block px-2;
}

.email-footer a {
	@apply text-monochrome no-underline;
}
